Table of Contents

Class: CGIScript | Twisted-0.19.0/twisted/web/twcgi.py
--- | ---
### I represent a CGI script. My implementation is complex due to the fact that it requires asynchronous IPC with an external process with an unpleasant protocol.
Base Classes |
--- | ---
resource.Resource
Methods |
--- | ---
__init__ render runProcess
| __init__
    __init__ ( self,  filename )
Initialize, with the name of a CGI script file.
| render
    render ( self,  request )
### Do various things to conform to the CGI specification. I will set up the usual slew of environment variables, then spin off a process.
| runProcess
    runProcess (
            self,
            env,
            request,
            )

Table of Contents

This document was automatically generated on Sun Jul 14 19:53:39 2002 by HappyDoc version 2.0